# Uses of Class
org.jmol.adapter.smarter.Atom

Packages that use Atom
Package
Description
org.jmol.adapter.readers.cif
org.jmol.adapter.readers.molxyz
org.jmol.adapter.readers.more
org.jmol.adapter.readers.pdb
org.jmol.adapter.readers.pymol
org.jmol.adapter.readers.quantum
org.jmol.adapter.readers.simple
org.jmol.adapter.readers.xml
org.jmol.adapter.readers.xtal
org.jmol.adapter.smarter

## Uses of Atom in org.jmol.adapter.readers.cif

Methods in org.jmol.adapter.readers.cif that return Atom
Modifier and Type
Method
Description
`Atom`
TopoCifParser.`getAtomFromName(String atomLabel)`
Methods in org.jmol.adapter.readers.cif with parameters of type Atom
Modifier and Type
Method
Description
`protected boolean`
CifReader.`addCifAtom(Atom atom, String id, String componentId, String strChain)`
`protected boolean`
CifReader.`filterCIFAtom(Atom atom, String componentId)`
`XtalSymmetry.FileSymmetry`
MSRdr.`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry defaultSymmetry)`
When applying symmetry, this method allows us to use a set of symmetry operators unique to this particular atom -- or in this case, to its subsystem.
`protected boolean`
CifReader.`processSubclassAtom(Atom atom, String assemblyId, String strChain)`
`boolean`
MMCifReader.`processSubclassAtom(Atom atom, String assemblyId, String strChain)`

## Uses of Atom in org.jmol.adapter.readers.molxyz

Methods in org.jmol.adapter.readers.molxyz that return Atom
Modifier and Type
Method
Description
`Atom`
MolReader.`addMolAtom(int iAtom, int isotope, String elementSymbol, int charge, float x, float y, float z)`
Methods in org.jmol.adapter.readers.molxyz with parameters of type Atom
Modifier and Type
Method
Description
`void`
MolReader.`deleteAtom(Atom atom)`

## Uses of Atom in org.jmol.adapter.readers.more

Methods in org.jmol.adapter.readers.more with parameters of type Atom
Modifier and Type
Method
Description
`protected boolean`
ForceFieldReader.`getElementSymbol(Atom atom, String atomType)`

## Uses of Atom in org.jmol.adapter.readers.pdb

Methods in org.jmol.adapter.readers.pdb that return Atom
Modifier and Type
Method
Description
`protected Atom`
PdbReader.`processAtom(Atom atom, String name, char altID, String group3, int chainID, int seqNo, char insCode, boolean isHetero, String sym)`
Methods in org.jmol.adapter.readers.pdb with parameters of type Atom
Modifier and Type
Method
Description
`protected boolean`
PdbReader.`filterPDBAtom(Atom atom, int iAtom)`
`protected Atom`
PdbReader.`processAtom(Atom atom, String name, char altID, String group3, int chainID, int seqNo, char insCode, boolean isHetero, String sym)`
`protected void`
JmolDataReader.`processAtom2(Atom atom, int serial, float x, float y, float z, int charge)`
`protected void`
PdbReader.`processAtom2(Atom atom, int serial, float x, float y, float z, int charge)`
`protected void`
JmolDataReader.`setAdditionalAtomParameters(Atom atom)`
`protected void`
P2nReader.`setAdditionalAtomParameters(Atom atom)`
`protected void`
PdbReader.`setAdditionalAtomParameters(Atom atom)`
adaptable via subclassing
`protected void`
PqrReader.`setAdditionalAtomParameters(Atom atom)`

## Uses of Atom in org.jmol.adapter.readers.pymol

Methods in org.jmol.adapter.readers.pymol with parameters of type Atom
Modifier and Type
Method
Description
`protected void`
PyMOLReader.`setAdditionalAtomParameters(Atom atom)`

## Uses of Atom in org.jmol.adapter.readers.quantum

Methods in org.jmol.adapter.readers.quantum with parameters of type Atom
Modifier and Type
Method
Description
`protected void`
GamessReader.`setAtom(Atom atom, int atomicNumber, String name, String id)`

## Uses of Atom in org.jmol.adapter.readers.simple

Fields in org.jmol.adapter.readers.simple with type parameters of type Atom
Modifier and Type
Field
Description
`protected Lst<Atom>`
InputReader.`vAtoms`
Methods in org.jmol.adapter.readers.simple that return Atom
Modifier and Type
Method
Description
`protected Atom`
InputReader.`setAtom(Atom atom, int ia, int ib, int ic, float d, float theta1, float theta2)`
Methods in org.jmol.adapter.readers.simple with parameters of type Atom
Modifier and Type
Method
Description
`protected Atom`
InputReader.`setAtom(Atom atom, int ia, int ib, int ic, float d, float theta1, float theta2)`

## Uses of Atom in org.jmol.adapter.readers.xml

Fields in org.jmol.adapter.readers.xml declared as Atom
Modifier and Type
Field
Description
`protected Atom`
XmlReader.`thisAtom`

## Uses of Atom in org.jmol.adapter.readers.xtal

Methods in org.jmol.adapter.readers.xtal with parameters of type Atom
Modifier and Type
Method
Description
`void`
SiestaReader.`setAtomCoordXYZ(Atom atom, float x, float y, float z)`

## Uses of Atom in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as Atom
Modifier and Type
Field
Description
`Atom[]`
AtomSetCollection.`atoms`
Fields in org.jmol.adapter.smarter with type parameters of type Atom
Modifier and Type
Field
Description
`Map<String,Atom>`
AtomSetCollection.`atomSymbolicMap`
Methods in org.jmol.adapter.smarter that return Atom
Modifier and Type
Method
Description
`Atom`
AtomSetCollection.`addAtom(Atom atom)`
`Atom`
AtomSetCollectionReader.`addAtomXYZSymName(String[] tokens, int i, String sym, String name)`
`Atom`
AtomSetCollection.`addNewAtom()`
`Atom`
Atom.`copyTo(P3 pt, AtomSetCollection asc)`
`Atom`
AtomSetCollection.`getAtomFromName(String atomName)`
`Atom`
Atom.`getClone()`
`Atom`
AtomSetCollection.`newCloneAtom(Atom atom)`
`Atom`
AtomSetCollectionReader.`setAtomCoordScaled(Atom atom, String[] tokens, int i, float f)`
Methods in org.jmol.adapter.smarter with parameters of type Atom
Modifier and Type
Method
Description
`Atom`
AtomSetCollection.`addAtom(Atom atom)`
`void`
AtomSetCollection.`addAtomWithMappedName(Atom atom)`
`void`
AtomSetCollection.`addAtomWithMappedSerialNumber(Atom atom)`
`Bond`
AtomSetCollection.`addNewBondWithOrderA(Atom atom1, Atom atom2, int order)`
`Tensor`
XtalSymmetry.`addRotatedTensor(Atom a, Tensor t, int iSym, boolean reset, XtalSymmetry.FileSymmetry symmetry)`
`protected boolean`
AtomSetCollectionReader.`filterAtom(Atom atom, int iAtom)`
`XtalSymmetry.FileSymmetry`
MSInterface.`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry symmetry)`
`Atom`
AtomSetCollection.`newCloneAtom(Atom atom)`
`void`
AtomSetCollection.`setAnisoBorU(Atom atom, float[] data, int type)`
`void`
AtomSetCollectionReader.`setAtomCoord(Atom atom)`
`Atom`
AtomSetCollectionReader.`setAtomCoordScaled(Atom atom, String[] tokens, int i, float f)`
`protected void`
AtomSetCollectionReader.`setAtomCoordTokens(Atom atom, String[] tokens, int i)`
`void`
AtomSetCollectionReader.`setAtomCoordXYZ(Atom atom, float x, float y, float z)`
//////////////////////////
`void`
AtomSetCollectionReader.`setChainID(Atom atom, String label)`
`protected void`
AtomSetCollectionReader.`setElementAndIsotope(Atom atom, String str)`
allow 13C, 15N, 2H, etc.
`void`
AtomSetCollection.`setU(Atom atom, int i, float val)`